Description

This patch fixes the following issues:

Some icon images on Textile and Markdown help pages are incorrect and not displayed.

The button icon image for the DatePicker is incorrect and not loading.

These issues seem to be related to #39111. They were reproduced in the trunk but not in the 5.1-stable and 5.0-stable branches.
The resulting fixes are as follows.

Textile and markdown help pages:

Textile (en) Markdown (ja)
DatePicker button Image:

 datepicker-button-image.png 

The above is a screenshot of executing $('#form').datepicker(datepickerOptions) in the Chrome console.

Related issues:

Related to Redmine - Feature #39111: Enable Asset Pipeline Integration using ... Closed

Related to Redmine - Patch #40137: Jstoolbar help files should import images ... Closed

Associated revisions

Revision 22782 - 2024-04-16 20:56 - Marius BĂLTEANU

Fix incorrect icon image paths on Markdown help page (#40559, #40137, #39111).

Patch by Katsuya HIDAKA (hidakatsuya).

Revision 22783 - 2024-04-16 20:57 - Marius BĂLTEANU

Fix incorrect icon image paths on Textile help page (#40559, #40137, #39111).

Patch by Katsuya HIDAKA (hidakatsuya).

Revision 22784 - 2024-04-16 20:58 - Marius BĂLTEANU

Fix incorrect icon image path for DatePicker button (#40559, #39111).

Patch by Katsuya HIDAKA (hidakatsuya).

History

#1 - 2024-04-16 21:00 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

2024-05-01 1/2

https://www.redmine.org/issues/39111


- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

All three patches committed, thanks!

First two issues were been introduced by me in #40137.

#2 - 2024-04-16 21:00 - Marius BĂLTEANU

- Related to Feature #39111: Enable Asset Pipeline Integration using Propshaft added

- Related to Patch #40137: Jstoolbar help files should import images from the asset pipeline added

#3 - 2024-04-16 21:26 - Marius BĂLTEANU

- Status changed from Resolved to Closed
